# user (Identity v2)

## user create

Create new user

    openstack user create
        [--project <project>]
        [--password <password>]
        [--password-prompt]
        [--email <email-address>]
        [--enable | --disable]
        [--or-show]
        <name>

--project <project>

  Default project (name or ID)

--password <password>

  Set user password

--password-prompt

  Prompt interactively for password

--email <email-address>

  Set user email address

--enable

  Enable user (default)

--disable

  Disable user

--or-show

  Return existing user

name

  New user name

## user delete

Delete user(s)

    openstack user delete <user> [<user> ...]

user

  User(s) to delete (name or ID)

## user list

List users

    openstack user list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--project <project>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Filter users by project (name or ID)

--long

  List additional fields in output

## user set

Set user properties

    openstack user set
        [--name <name>]
        [--project <project>]
        [--password <user-password>]
        [--password-prompt]
        [--email <email-address>]
        [--enable | --disable]
        <user>

--name <name>

  Set user name

--project <project>

  Set default project (name or ID)

--password <user-password>

  Set user password

--password-prompt

  Prompt interactively for password

--email <email-address>

  Set user email address

--enable

  Enable user (default)

--disable

  Disable user

user

  User to modify (name or ID)

## user show

Display user details

    openstack user show <user>

user

  User to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.